%define src_ver 1.0
%define languagelocal catala
%define languageeng catalan
%define languagecode ca

Summary: 	Catalan files for ispell
Name: 		ispell-%{languagecode} 
Version: 	1.0
Release: 	11mdk
URL:		http://www.softcatala.org/projectes/myspell/
# date 2002-11-11
Source:		ftp://ftp.softcatala.org/pub/softcatala/ispell/ispell-sc-ca.zip
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: ispell-catalan
Obsoletes: icatalan

%description
ispell-ca has the spelling data for Catalan which is used by
the ispell program. With this extension, you can compose a document
in Catalan and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup %setup -q -c
mv -f catalan_i.dic %{languagelocal}.hash
cp -f catalan_i.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
#%doc LLEGEIX*
%{_prefix}/lib/ispell/*

%changelog
* Wed Jan 15 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-11mdk
- new version

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-10mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-9mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-8mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- rebuild for new ispell

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-5mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-4mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk 
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Mon Nov 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.
